# Lobby (vilya 1.3 API)
Date: 2011-04-06

## com.threerings.micasa.lobby
Class Lobby

    java.lang.Object
      com.threerings.io.SimpleStreamableObject
          com.threerings.micasa.lobby.Lobby

All Implemented Interfaces:
  com.threerings.io.Streamable

    public class Lobby

extends com.threerings.io.SimpleStreamableObject

A simple class for keeping track of information for each lobby in operation on the server.

Nested Class Summary

Nested classes/interfaces inherited from interface com.threerings.io.Streamable
`com.threerings.io.Streamable.Closure`

Field Summary
`String` `gameIdent` The universal game identifier string for the game matchmade by this lobby.
`String` `name` The human readable name of the lobby.
`int` `placeOid` The object id of the lobby place object.

Constructor Summary
`Lobby()` Constructs a blank lobby record suitable for unserialization.
`Lobby(int placeOid, String gameIdent, String name)` Constructs a lobby record and initializes it with the specified values.

Method Summary

Methods inherited from class com.threerings.io.SimpleStreamableObject
`toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### placeOid

    public int placeOid

  The object id of the lobby place object.

### gameIdent

    public String gameIdent

  The universal game identifier string for the game matchmade by this lobby.

### name

    public String name

  The human readable name of the lobby.

Constructor Detail

### Lobby

    public Lobby(int placeOid,
                 String gameIdent,
                 String name)

  Constructs a lobby record and initializes it with the specified values.

### Lobby

    public Lobby()

  Constructs a blank lobby record suitable for unserialization.

Copyright © 2011. All Rights Reserved.